- Home
- API Enriched
- Ddos
- infraprotect
- Update Tunnel Status.
Update Tunnel Status.
POST
/api/infraprotect/namespaces/{namespace}/infraprotect_tunnels/update-tunnel-status
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_tunnels/update-tunnel-status';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"namespace":"example","tunnel_id":"example","tunnel_status":"TUNNEL_STATUS_INACTIVE"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/infraprotect/namespaces/example/infraprotect_tunnels/update-tunnel-status \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "namespace": "example", "tunnel_id": "example", "tunnel_status": "TUNNEL_STATUS_INACTIVE" }'Update Tunnel Status.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”namespace
required
string
Namespace
x-required Namespace in which the tunnel status is to be updated.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Update Tunnel Status
Request to update tunnel status.
object
namespace
Namespace
Namespace in which the tunnel status is to be updated.
string
tunnel_id
Tunnel identifier
Unique identifier of the tunnel to update.
string
tunnel_status
string
Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Update Tunnel Status Response
Response returned from a tunnel status update.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example